Bug 851861 - SELinux is preventing /usr/bin/shotwell-video-thumbnailer from unix_read, unix_write access on the shared memory .
SELinux is preventing /usr/bin/shotwell-video-thumbnailer from unix_read, uni...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:eccd339eecbb2f1fc997bee0cb5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 11:51 EDT by kilsufi
Modified: 2012-09-21 19:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 19:59:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kilsufi 2012-08-26 11:51:35 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.2-3.fc17.x86_64
time:           dim. 26 août 2012 17:51:11 CEST

description:
:SELinux is preventing /usr/bin/shotwell-video-thumbnailer from unix_read, unix_write access on the shared memory .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that shotwell-video-thumbnailer should be allowed unix_read unix_write access on the  shm by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep qtdemux0:sink /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Objects                 [ shm ]
:Source                        qtdemux0:sink
:Source Path                   /usr/bin/shotwell-video-thumbnailer
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           shotwell-0.12.3-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.2-3.fc17.x86_64 #1 SMP Tue Aug
:                              21 19:06:52 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    2012-08-26 17:50:08 CEST
:Last Seen                     2012-08-26 17:50:20 CEST
:Local ID                      a5a76dff-dc1b-4e6d-a4c2-1ec945128a6e
:
:Raw Audit Messages
:type=AVC msg=audit(1345996220.249:60): avc:  denied  { unix_read unix_write } for  pid=1617 comm="qtdemux0:sink" key=-1161889074  scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=shm
:
:
:type=SYSCALL msg=audit(1345996220.249:60): arch=x86_64 syscall=shmat success=no exit=EACCES a0=108003 a1=0 a2=0 a3=234e90c items=0 ppid=1372 pid=1617 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=qtdemux0:sink exe=/usr/bin/shotwell-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: qtdemux0:sink,thumb_t,thumb_t,shm,unix_read,unix_write
:
:audit2allow
:
:#============= thumb_t ==============
:allow thumb_t self:shm { unix_read unix_write };
:
:audit2allow -R
:
:#============= thumb_t ==============
:allow thumb_t self:shm { unix_read unix_write };
:
Comment 1 Miroslav Grepl 2012-08-27 07:42:38 EDT
You can install the latest F17 builds from koji for now

http://koji.fedoraproject.org/koji/buildinfo?buildID=350108
Comment 2 Fedora Update System 2012-09-17 08:13:37 EDT
selinux-policy-3.10.0-149.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-149.fc17
Comment 3 Fedora Update System 2012-09-18 22:55:10 EDT
Package selinux-policy-3.10.0-149.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-149.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14301/selinux-policy-3.10.0-149.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-21 19:59:19 EDT
selinux-policy-3.10.0-149.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.